CacheMode (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.hibernate
Enum CacheMode

    java.lang.Object
      java.lang.Enum<CacheMode>
          org.hibernate.CacheMode

All Implemented Interfaces:
  Serializable, Comparable<CacheMode>

    public enum CacheMode

extends Enum<CacheMode>

Controls how the session interacts with the second-level cache and query cache.

See Also:
  `Session.setCacheMode(CacheMode)`

Enum Constant Summary
`GET` The session may read items from the cache, but will not add items, except to invalidate items when updates occur
`IGNORE` The session will never interact with the cache, except to invalidate cache items when updates occur
`NORMAL` The session may read items from the cache, and add items to the cache
`PUT` The session will never read items from the cache, but will add items to the cache as it reads them from the database.
`REFRESH` The session will never read items from the cache, but will add items to the cache as it reads them from the database.

Method Summary
`boolean` | `isGetEnabled()`
`boolean` | `isPutEnabled()`
`static CacheMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CacheMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NORMAL

    public static final CacheMode NORMAL

  The session may read items from the cache, and add items to the cache

### IGNORE

    public static final CacheMode IGNORE

  The session will never interact with the cache, except to invalidate cache items when updates occur

### GET

    public static final CacheMode GET

  The session may read items from the cache, but will not add items, except to invalidate items when updates occur

### PUT

    public static final CacheMode PUT

  The session will never read items from the cache, but will add items to the cache as it reads them from the database.

### REFRESH

    public static final CacheMode REFRESH

  The session will never read items from the cache, but will add items to the cache as it reads them from the database. In this mode, the effect of `hibernate.cache.use_minimal_puts` is bypassed, in order to force a cache refresh

Method Detail

### values

    public static CacheMode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CacheMode c : CacheMode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CacheMode valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### isGetEnabled

    public boolean isGetEnabled()

### isPutEnabled

    public boolean isPutEnabled()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.